package be.iminds.ilabt.jfed.experimenter_gui.gts_editor.toolbox;

import be.iminds.ilabt.jfed.experimenter_gui.gts_editor.views.EditableGTSCanvas;
import be.iminds.ilabt.jfed.experimenter_gui.util.ImageUtil;
import javafx.geometry.Point2D;
import javafx.scene.image.Image;

/**
 * User: twalcari
 * Date: 5/21/2015
 * Time: 15:39
 */
public class GTSTypeToolboxItem extends GTSToolboxItem {
    public GTSTypeToolboxItem() {
        super("type","Type",
                new Image(ImageUtil.class.getResource("/images/gts_types/64/gts-type-definition.png").toExternalForm()),
                new Image(ImageUtil.class.getResource("/images/gts_types/32/gts-type-definition.png").toExternalForm())
        );
    }

    @Override
    public void onAddedToCanvas(EditableGTSCanvas canvas, Point2D location) {
        canvas.getModelEditor().addTypeDefinition(location);
    }

    @Override
    public int getWeight() {
        return 5;
    }
}
